import defu from "defu";
import { useSanityVisualEditingState } from "../composables/visual-editing.js";
import { defineNuxtPlugin, useRuntimeConfig, useCookie } from "#imports";
export default defineNuxtPlugin(() => {
  const visualEditingState = useSanityVisualEditingState();
  const $config = useRuntimeConfig();
  const { visualEditing } = import.meta.client ? $config.public.sanity : defu($config.sanity, $config.public.sanity);
  if (visualEditing?.previewMode) {
    const previewModeCookie = useCookie("__sanity_preview");
    visualEditingState.enabled = previewModeCookie.value === visualEditing.previewModeId;
  } else if (typeof visualEditing === "object" && !visualEditing.previewMode) {
    visualEditingState.enabled = true;
  }
});
